package ru.micord.ervu.account_applications.component.service;

import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;
import ru.micord.ervu.account_applications.security.context.SecurityContext;

/**
 * @author Emir Suleimanov
 */
@Service
public class IdmSnilsValidatorService extends AbstractIdmValidatorService {

  public IdmSnilsValidatorService(RestTemplate restTemplate, SecurityContext securityContext) {
    super(restTemplate, securityContext);
  }

  @Override
  public boolean valueExists(String snils) {
    return checkExistsByQuery("checkSnils/v1", "snils", snils);
  }
}
